| HOpenGL Libraries (OpenGL package) | Source code | Contents | Index
Graphics.Rendering.OpenGL.GL.Texturing.Parameters |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to section 3.8.4 (Texture Parameters), section 3.8.7 (Texture Wrap Mode), section 3.8.8 (Texture Minification), and section 3.8.9 (Texture Magnification) of the OpenGL 2.1 specs.
Documentation
data TextureFilter
Constructors
Nearest |
Linear' |
Instances
Eq TextureFilter
Ord TextureFilter
Show TextureFilter
type MinificationFilter = (TextureFilter, Maybe TextureFilter)
type MagnificationFilter = TextureFilter
textureFilter :: TextureTarget -> StateVar (MinificationFilter, MagnificationFilter)
data Repetition
Constructors
Repeated |
Mirrored |
Instances
Eq Repetition
Ord Repetition
Show Repetition
data Clamping
Constructors
Clamp |
Repeat |
ClampToEdge |
ClampToBorder |
Instances
Eq Clamping
Ord Clamping
Show Clamping
textureWrapMode :: TextureTarget -> TextureCoordName -> StateVar (Repetition, Clamping)
textureBorderColor :: TextureTarget -> StateVar (Color4 GLfloat)
type LOD = GLfloat
textureObjectLODBias :: TextureTarget -> StateVar LOD
maxTextureLODBias :: GettableStateVar LOD
textureLODRange :: TextureTarget -> StateVar (LOD, LOD)
textureMaxAnisotropy :: TextureTarget -> StateVar GLfloat
maxTextureMaxAnisotropy :: GettableStateVar GLfloat
textureLevelRange :: TextureTarget -> StateVar (Level, Level)
generateMipmap :: TextureTarget -> StateVar Capability
depthTextureMode :: TextureTarget -> StateVar PixelInternalFormat
textureCompareMode :: TextureTarget -> StateVar (Maybe ComparisonFunction)
textureCompareFailValue :: TextureTarget -> StateVar GLclampf
data TextureCompareOperator
Constructors
LequalR |
GequalR |
Instances
Eq TextureCompareOperator
Ord TextureCompareOperator
Show TextureCompareOperator
textureCompareOperator :: TextureTarget -> StateVar (Maybe TextureCompareOperator)
Produced by Haddock version 0.8